---
apiVersion: v1
kind: ConfigMap
metadata:
  name: backend-configmap
  namespace: pm
data:
  uwsgi.ini: |
    [uwsgi]
    log-format = {"time": "%(time)", "method": "%(method)", "uri": "%(uri)", "status": "%(status)", "size": "%(size)", "addr": "%(addr)", "user": "%(user)", "proto": "%(proto)", "user_agent": "%(uagent)", "referer": "%(referer)", "trace_id": "%(trace_id)", "span_id": "%(span_id)"}
    module                 = config.wsgi:application
    DJANGO_SETTINGS_MODULE = config.settings.base
    http                   = 0.0.0.0:8000
    processes              = 8
    master                 = true
    vacuum                 = true
    enable-threads         = true
    buffer-size            = 65535
    stats                  = :3031
    stats-http             = true
    memory-report          = true
    lazy-apps              = true
    listen                 = 1024
    disable-write-exception= 0
    harakiri               = 300
    socket-timeout         = 300
    chunked-input-timeout  = 300
    http-timeout           = 300
    worker-reload-mercy    = 240
    mule-reload-mercy      = 240
